<?php
/**
 * 管理员管理
 * $Id: grade_edit_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("4")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

// 参数取得
$member_count = ParamUtil::getRequestString("member_count");//new edit
$id = ParamUtil::getRequestString("id");

//编辑
$class_mst = ClassMst::getById($id);
if ($class_mst == null) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$layout_pages["menu_clicked"] = "1-3";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

// 数据库更新
$class_mst->member_count = $member_count;
$class_mst->save();

$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "class_edit_result.inc";
$layout_pages["menu_clicked"] = "1-3";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;